Schedules
Get a schedule
Retrieves the specified schedule resource.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Parameter jalur
id
string
diperlukan
Identifier of the schedule.
Parameter header
Foundry-Features
enum
diperlukan
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Respons
The request has succeeded.
Isi
id
string
diperlukan
Identifier of the schedule.
displayName
string
Name of the schedule.
description
string
Description of the schedule.
enabled
boolean
diperlukan
Enabled status of the schedule.
provisioningStatus
string | enum
Schedule provisioning status.
enum
trigger
Cron | Recurrence | OneTime
diperlukan
Base model for Trigger of the schedule.
Cron
CronTrigger
Cron based trigger.
type
enum
diperlukan
expression
string
diperlukan
Cron expression that defines the schedule frequency.
timeZone
string
Time zone for the cron schedule. Defaults to UTC.
startTime
string
Start time for the cron schedule in ISO 8601 format.
endTime
string
End time for the cron schedule in ISO 8601 format.
Recurrence
RecurrenceTrigger
Recurrence based trigger.
type
enum
diperlukan
Type of the trigger.
startTime
string
Start time for the recurrence schedule in ISO 8601 format.
endTime
string
End time for the recurrence schedule in ISO 8601 format.
timeZone
string
Time zone for the recurrence schedule. Defaults to UTC.
interval
integer
diperlukan
Interval for the recurrence schedule.
schedule
Hourly | Daily | Weekly | Monthly
diperlukan
Recurrence schedule model.
Hourly
HourlyRecurrenceSchedule
Hourly recurrence schedule.
type
enum
diperlukan
Daily
DailyRecurrenceSchedule
Daily recurrence schedule.
type
enum
diperlukan
Daily recurrence type.
hours
integer[]
diperlukan
Hours for the recurrence schedule.
Weekly
WeeklyRecurrenceSchedule
Weekly recurrence schedule.
type
enum
diperlukan
Weekly recurrence type.
daysOfWeek
DayOfWeek[]
diperlukan
Days of the week for the recurrence schedule.
Monthly
MonthlyRecurrenceSchedule
Monthly recurrence schedule.
type
enum
diperlukan
Monthly recurrence type.
daysOfMonth
integer[]
diperlukan
Days of the month for the recurrence schedule.
OneTime
OneTimeTrigger
One-time trigger.
type
enum
diperlukan
triggerAt
string
diperlukan
Date and time for the one-time trigger in ISO 8601 format.
timeZone
string
Time zone for the one-time trigger. Defaults to UTC.
task
Evaluation | Insight
diperlukan
Schedule task model.
Evaluation
EvaluationScheduleTask
Evaluation task for the schedule.
type
enum
diperlukan
evalId
string
diperlukan
Identifier of the evaluation group.
evalRun
object
diperlukan
The evaluation run payload.
Insight
InsightScheduleTask
Insight task for the schedule.
type
enum
diperlukan
insight
Insight
diperlukan
The response body for cluster insights.
id
string
diperlukan
The unique identifier for the insights report.
metadata
InsightsMetadata
diperlukan
Metadata about the insights.
createdAt
string
diperlukan
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
diperlukan
Enum describing allowed operation states.
enum
displayName
string
diperlukan
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
diperlukan
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
diperlukan
The type of insights request.
evalId
string
diperlukan
Evaluation Id for the insights.
runIds
string[]
diperlukan
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
diperlukan
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
diperlukan
The type of request.
agentName
string
diperlukan
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
diperlukan
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
diperlukan
The type of request.
evalId
string
diperlukan
Identifier for the evaluation.
baselineRunId
string
diperlukan
The baseline run ID for comparison.
treatmentRunIds
string[]
diperlukan
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
diperlukan
The type of insights result.
comparisons
EvalRunResultComparison[]
diperlukan
Comparison results for each treatment run against the baseline.
method
string
diperlukan
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
diperlukan
The type of insights result.
clusterInsight
ClusterInsightResult
diperlukan
Insights from the cluster analysis.
summary
InsightSummary
diperlukan
Summary of the error cluster analysis.
sampleCount
integer
diperlukan
Total number of samples analyzed.
uniqueSubclusterCount
integer
diperlukan
Total number of unique subcluster labels.
uniqueClusterCount
integer
diperlukan
Total number of unique clusters.
method
string
diperlukan
Method used for clustering.
usage
ClusterTokenUsage
diperlukan
Token usage for cluster analysis
inputTokenUsage
integer
diperlukan
input token usage
outputTokenUsage
integer
diperlukan
output token usage
totalTokenUsage
integer
diperlukan
total token usage
clusters
InsightCluster[]
diperlukan
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
diperlukan
X-axis coordinate.
y
integer
diperlukan
Y-axis coordinate.
size
integer
diperlukan
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
diperlukan
The type of insights result.
clusterInsight
ClusterInsightResult
diperlukan
Insights from the cluster analysis.
summary
InsightSummary
diperlukan
Summary of the error cluster analysis.
sampleCount
integer
diperlukan
Total number of samples analyzed.
uniqueSubclusterCount
integer
diperlukan
Total number of unique subcluster labels.
uniqueClusterCount
integer
diperlukan
Total number of unique clusters.
method
string
diperlukan
Method used for clustering.
usage
ClusterTokenUsage
diperlukan
Token usage for cluster analysis
inputTokenUsage
integer
diperlukan
input token usage
outputTokenUsage
integer
diperlukan
output token usage
totalTokenUsage
integer
diperlukan
total token usage
clusters
InsightCluster[]
diperlukan
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
diperlukan
X-axis coordinate.
y
integer
diperlukan
Y-axis coordinate.
size
integer
diperlukan
Size of the chart element.
tags
object
Schedule's tags. Unlike properties, tags are fully mutable.
properties
object
Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
systemData
object
diperlukan
System metadata for the resource.
Minta
GET /schedules/{id} HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json